control_theory {sdpt3r} | R Documentation

## Control Theory

### Description

`control_theory` creates input for sqlp to solve the Control Theory Problem

### Usage

    control_theory(B)

### Arguments

`B` | a matrix object containing square matrices of size n

### Details

Solves the control theory problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    B <- matrix(list(),2,1)
    B[[1]] <- matrix(c(-.8,1.2,-.5,-1.1,-1,-2.5,2,.2,-1),nrow=3,byrow=TRUE)
    B[[2]] <- matrix(c(-1.5,.5,-2,1.1,-2,.2,-1.4,1.1,-1.5),nrow=3,byrow=TRUE)

    out <- control_theory(B)

[Package sdpt3r version 0.3 Index]